package com.yc.ship.module.marketing.enums;


import com.yc.ship.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 * <p>
 * marketing 系统，使用 1_005_000_000 段
 */
public interface ErrorCodeConstants {

    ErrorCode COUPON_NOT_EXISTS = new ErrorCode(1_005_001_000, "优惠券不存在");

    ErrorCode COUPON_USE_RULE_NOT_EXISTS = new ErrorCode(1_005_001_001, "优惠券使用规则不存在");

    ErrorCode COUPON_DELIVER_RULE_NOT_EXISTS = new ErrorCode(1_005_001_002, "优惠券派发领取规则不存在");

    ErrorCode COUPON_NOT_AUDIT_PASS = new ErrorCode(1_005_001_003, "优惠券未审核通过");

    ErrorCode COUPON_NOT_ENABLE = new ErrorCode(1_005_001_004, "优惠券未开放使用");

    ErrorCode COUPON_IS_NEW_USER = new ErrorCode(1_005_001_005, "该优惠券只能新会员才能领取");

    ErrorCode COUPON_IN_GROUP = new ErrorCode(1_005_001_006, "该优惠券只能指定用户可以领取");

    ErrorCode COUPON_NOT_IN_DELIVER_TIME = new ErrorCode(1_005_001_007, "该优惠券不在派发时间内");

    ErrorCode COUPON_IS_DELIVERED_OVER = new ErrorCode(1_005_001_008, "该优惠券已被领完");

    ErrorCode COUPON_IS_DELIVERED_DAY_OVER = new ErrorCode(1_005_001_009, "该优惠券今日已被领完");

    ErrorCode COUPON_IS_DELIVERED_USER_OVER = new ErrorCode(1_005_001_010, "该优惠券已达到当前用户领取上限");

    ErrorCode COUPON_NO_CAN_USE = new ErrorCode(1_005_001_011, "没有可用优惠券");
    ErrorCode COUPON_CODE_NOT_EXISTS = new ErrorCode(1_005_001_012, "优惠券码不存在");
    ErrorCode COUPON_CODE_ALREADY_USED = new ErrorCode(1_005_001_013, "该优惠券已被使用");

    ErrorCode COUPON_NOT_EFFECTIVE = new ErrorCode(1_005_001_014, "优惠券不在使用时间内");

    ErrorCode COUPON_CODE_NOT_BELONG_TO_USER = new ErrorCode(1_005_001_015, "券码与用户不符");

    ErrorCode COUPON_AMOUNT_ERROR = new ErrorCode(1_005_001_016, "优惠金额错误");

    ErrorCode COUPON_PACKAGE_NOT_EXISTS = new ErrorCode(1_005_001_017, "优惠券-券包不存在");

    ErrorCode COUPON_PACKAGE_CODE_NOT_EXISTS = new ErrorCode(1_005_001_018, "优惠码不存在");

    ErrorCode COUPON_PACKAGE_OVER_TIMES = new ErrorCode(1_005_001_019, "优惠券包剩余次数不足");

    ErrorCode POLICY_OVER_NUM = new ErrorCode(1_005_001_020, "优惠政策剩余房间数不足");
    ErrorCode POLICY_NOT_EXISTS = new ErrorCode(1_005_001_021, "优惠政策不存在");


    // ========== 装修模板 1-013-017-000 ==========
    ErrorCode DIY_TEMPLATE_NOT_EXISTS = new ErrorCode(1_013_017_000, "装修模板不存在");
    ErrorCode DIY_TEMPLATE_NAME_USED = new ErrorCode(1_013_017_001, "装修模板名称({})已经被使用");
    ErrorCode DIY_TEMPLATE_USED_CANNOT_DELETE = new ErrorCode(1_013_017_002, "不能删除正在使用的装修模板");
    // ========== 装修页面 1-013-018-000 ==========
    ErrorCode DIY_PAGE_NOT_EXISTS = new ErrorCode(1_013_018_000, "装修页面不存在");
    ErrorCode DIY_PAGE_NAME_USED = new ErrorCode(1_013_018_001, "装修页面名称({})已经被使用");

    ErrorCode COLUMN_NOT_EXISTS = new ErrorCode(1_014_000_001, "栏目不存在");



}
